Bug 1007599 - Fix FTBFS when winpthreads is available
Fix FTBFS when winpthreads is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mingw-wine-gecko (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 17:47 EDT by Erik van Pienbroek
Modified: 2013-09-16 12:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 12:19:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (12.00 KB, patch)
2013-09-12 17:47 EDT, Erik van Pienbroek
no flags Details | Diff
Proposed patch (try2) (2.65 KB, patch)
2013-09-12 17:48 EDT, Erik van Pienbroek
no flags Details | Diff

  None (edit)
Description Erik van Pienbroek 2013-09-12 17:47:26 EDT
Created attachment 797036 [details]
Proposed patch

Hi Andreas,

As you may have heard we're planning on introducing winpthreads in the Fedora mingw stack. Tests have shown that wine-gecko currently fails to build when winpthreads is available. This was mentioned multiple times in the last couple of months on the Fedora mingw mailing list and the upstream mingw-w64 mailing list. Wine-gecko developer Jacek Caban noticed this and provided us a patch. This patch indeed does resolve the build issue and therefore a bug report was filed upstream along with the patch: https://bugzilla.mozilla.org/show_bug.cgi?id=893444

The patch is approved and applied upstream already, but no new wine-gecko releases were done recently. As we're about to introduce winpthreads in Fedora (20/rawhide) in a couple of days I would like to manually apply this patch in the mingw-wine-gecko package for now.

Are you okay with me applying the attached changes? (I'm provenpackager so I can push the commit myself)
Comment 1 Erik van Pienbroek 2013-09-12 17:48:52 EDT
Created attachment 797037 [details]
Proposed patch (try2)
Comment 2 Andreas Bierfert 2013-09-15 05:06:30 EDT
Sure go ahead :)
Comment 3 Erik van Pienbroek 2013-09-15 15:50:48 EDT
The commit has just been pushed to rawhide and a build is on its way :)
Comment 4 Erik van Pienbroek 2013-09-16 12:19:59 EDT
Build completed successfully

Note You need to log in before you can comment on or make changes to this bug.